> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/sorting-algorithm.md).

# Sorting Algorithm

## Retrieve Sorting Algorithm

> Retrieve a specific sorting algorithm by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"SortingAlgorithm":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","format":"int64","readOnly":true,"description":"Sorting algorithm object ID."},"catalog":{"type":"integer","description":"Related catalog object ID."},"code":{"type":"string","maxLength":64,"description":"The code of the sorting algorithm."},"name":{"type":"string","maxLength":255,"description":"The name of the sorting algorithm."},"sorting_type":{"type":"string","description":"The type of sorting algorithm.","enum":["static","dynamic","external"]},"ruleset":{"type":"object","description":"A JSON object containing the ruleset for the sorting algorithm."},"config":{"type":"object","description":"A JSON object containing the configuration for the sorting algorithm."},"is_visible":{"type":"boolean","description":"Indicates whether this sorting algorithm is visible.","default":true}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/sorting_algorithms/{id}/":{"get":{"summary":"Retrieve Sorting Algorithm","description":"Retrieve a specific sorting algorithm by ID","tags":["SortingAlgorithm"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Sorting Algorithm retrieved successfully","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/SortingAlgorithm"}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Update Sorting Algorithm

> Update a specific sorting algorithm by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"SortingAlgorithm":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","format":"int64","readOnly":true,"description":"Sorting algorithm object ID."},"catalog":{"type":"integer","description":"Related catalog object ID."},"code":{"type":"string","maxLength":64,"description":"The code of the sorting algorithm."},"name":{"type":"string","maxLength":255,"description":"The name of the sorting algorithm."},"sorting_type":{"type":"string","description":"The type of sorting algorithm.","enum":["static","dynamic","external"]},"ruleset":{"type":"object","description":"A JSON object containing the ruleset for the sorting algorithm."},"config":{"type":"object","description":"A JSON object containing the configuration for the sorting algorithm."},"is_visible":{"type":"boolean","description":"Indicates whether this sorting algorithm is visible.","default":true}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/sorting_algorithms/{id}/":{"put":{"summary":"Update Sorting Algorithm","description":"Update a specific sorting algorithm by ID","tags":["SortingAlgorithm"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SortingAlgorithm"}}}},"responses":{"200":{"description":"Sorting Algorithm updated"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Delete Sorting Algorithm

> Delete a specific Sorting Algorithm by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/sorting_algorithms/{id}/":{"delete":{"summary":"Delete Sorting Algorithm","description":"Delete a specific Sorting Algorithm by ID","tags":["SortingAlgorithm"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"204":{"description":"Sorting Algorithm deleted successfully"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Partial Update Sorting Algorithm

> Partial update a specific sorting algorithm by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"SortingAlgorithm":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","format":"int64","readOnly":true,"description":"Sorting algorithm object ID."},"catalog":{"type":"integer","description":"Related catalog object ID."},"code":{"type":"string","maxLength":64,"description":"The code of the sorting algorithm."},"name":{"type":"string","maxLength":255,"description":"The name of the sorting algorithm."},"sorting_type":{"type":"string","description":"The type of sorting algorithm.","enum":["static","dynamic","external"]},"ruleset":{"type":"object","description":"A JSON object containing the ruleset for the sorting algorithm."},"config":{"type":"object","description":"A JSON object containing the configuration for the sorting algorithm."},"is_visible":{"type":"boolean","description":"Indicates whether this sorting algorithm is visible.","default":true}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/sorting_algorithms/{id}/":{"patch":{"summary":"Partial Update Sorting Algorithm","description":"Partial update a specific sorting algorithm by ID","tags":["SortingAlgorithm"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SortingAlgorithm"}}}},"responses":{"200":{"description":"Sorting Algorithm updated"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List Sorting Algorithm

> List Sorting Algorithm

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"id":{"name":"id","in":"query","required":false,"description":"Filters by id","schema":{"type":"integer"}},"pk":{"name":"pk","in":"query","required":false,"description":"Filters by primary key","schema":{"type":"integer"}},"pk__gt":{"name":"pk__gt","in":"query","description":"Filter by primary key greater than a specific value.","schema":{"type":"string"}},"pk__gte":{"name":"pk__gte","in":"query","required":false,"description":"Filters by primary key greater than or equal to the given value","schema":{"type":"integer"}},"pk__lt":{"name":"pk__lt","in":"query","required":false,"description":"Filters by primary key less than the given value","schema":{"type":"integer"}},"pk__lte":{"name":"pk__lte","in":"query","required":false,"description":"Filters by primary key less than or equal to the given value","schema":{"type":"integer"}},"sorting_type":{"name":"sorting_type","in":"query","description":"The type of sorting algorithm.","required":false,"schema":{"type":"string","enum":["static","dynamic","external"]}},"ruleset":{"name":"ruleset","in":"query","description":"A JSON object containing the ruleset for the sorting algorithm.","required":false,"schema":{"type":"object"}},"config":{"name":"config","in":"query","description":"A JSON object containing the configuration for the sorting algorithm.","required":false,"schema":{"type":"object"}},"catalog_id":{"name":"catalog_id","in":"query","description":"Filter by catalog ID.","required":false,"schema":{"type":"integer"}},"code":{"name":"code","in":"query","description":"Filter by code.","required":false,"schema":{"type":"string"}},"name":{"name":"name","in":"query","description":"Filter by name.","schema":{"type":"string"}},"is_visible":{"name":"is_visible","in":"query","description":"Indicates whether this sorting algorithm is visible.","required":false,"schema":{"type":"boolean"}},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"modified_date":{"name":"modified_date","in":"query","required":false,"description":"Filter by modification date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}}},"schemas":{"SortingAlgorithm":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","format":"int64","readOnly":true,"description":"Sorting algorithm object ID."},"catalog":{"type":"integer","description":"Related catalog object ID."},"code":{"type":"string","maxLength":64,"description":"The code of the sorting algorithm."},"name":{"type":"string","maxLength":255,"description":"The name of the sorting algorithm."},"sorting_type":{"type":"string","description":"The type of sorting algorithm.","enum":["static","dynamic","external"]},"ruleset":{"type":"object","description":"A JSON object containing the ruleset for the sorting algorithm."},"config":{"type":"object","description":"A JSON object containing the configuration for the sorting algorithm."},"is_visible":{"type":"boolean","description":"Indicates whether this sorting algorithm is visible.","default":true}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/sorting_algorithms/":{"get":{"summary":"List Sorting Algorithm","description":"List Sorting Algorithm","tags":["SortingAlgorithm"],"parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/id"},{"$ref":"#/components/parameters/pk"},{"$ref":"#/components/parameters/pk__gt"},{"$ref":"#/components/parameters/pk__gte"},{"$ref":"#/components/parameters/pk__lt"},{"$ref":"#/components/parameters/pk__lte"},{"$ref":"#/components/parameters/sorting_type"},{"$ref":"#/components/parameters/ruleset"},{"$ref":"#/components/parameters/config"},{"$ref":"#/components/parameters/catalog_id"},{"$ref":"#/components/parameters/code"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/is_visible"},{"$ref":"#/components/parameters/created_date"},{"$ref":"#/components/parameters/modified_date"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"next":{"type":"string","description":"Next page URL","nullable":true},"previous":{"type":"string","description":"Previous page URL","nullable":true},"results":{"type":"array","items":{"$ref":"#/components/schemas/SortingAlgorithm"}}}}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Create Sorting Algorithm

> Create a new sorting algorithm.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"SortingAlgorithm":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","format":"int64","readOnly":true,"description":"Sorting algorithm object ID."},"catalog":{"type":"integer","description":"Related catalog object ID."},"code":{"type":"string","maxLength":64,"description":"The code of the sorting algorithm."},"name":{"type":"string","maxLength":255,"description":"The name of the sorting algorithm."},"sorting_type":{"type":"string","description":"The type of sorting algorithm.","enum":["static","dynamic","external"]},"ruleset":{"type":"object","description":"A JSON object containing the ruleset for the sorting algorithm."},"config":{"type":"object","description":"A JSON object containing the configuration for the sorting algorithm."},"is_visible":{"type":"boolean","description":"Indicates whether this sorting algorithm is visible.","default":true}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/sorting_algorithms/":{"post":{"summary":"Create Sorting Algorithm","description":"Create a new sorting algorithm.","tags":["SortingAlgorithm"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SortingAlgorithm"}}}},"responses":{"201":{"description":"Sorting Algorithm Created","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/SortingAlgorithm"}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.akinon.com/omnitron-openapis/sorting-algorithm.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
